### Index

* [0 - Language Agnostic](#1-language-agnostic)
  * [Open Source Ecosystem](#open-source-ecosystem)
  * [Облачные Вычисления](#Облачные-вычисления)
  * [Парадигмы Программирования](#Парадигмы-программирования)
  * [Работа c cетью](#Работа-с-сетью)
* [Assembly](#assembly)
* [Bash](#bash)
* [C](#c)
* [C++](#c-1)
* [Clojure](#clojure)
* [CoffeeScript](#coffeescript)
* [Erlang](#erlang)
* [Git](#git)
* [Go](#go)
* [Haskell](#haskell)
* [Java](#java)
* [JavaScript](#javascript)
  * [jQuery](#jquery)
  * [Node.js](#nodejs)
* [LaTeX](#latex)
* [Lisp](#lisp)
* [MetaPost](#metapost)
* [Misc](#misc)
* [NoSQL](#nosql)
* [Objective-C](#objective-c)
* [Perl](#perl)
* [PHP](#php)
* [PostgreSQL](#postgresql)
* [Python](#python)
* [R](#r)
* [Reverse engineering](#reverse-engineering)
* [Ruby](#ruby)
  * [RSpec](#rspec)
  * [Ruby on Rails](#ruby-on-rails)
* [Rust](#rust)
* [Scala](#scala)
* [Scilab](#scilab)
* [Smalltalk](#smalltalk)
* [Unix](#unix)
* [Vim](#vim)
* [Параллельные технологии](#parallel)


### 0 - Language Agnostic

* [E-maxx.ru: Сборник алгоритмов с примерами на C++](http://e-maxx.ru/upload/e-maxx_algo.pdf) (PDF)
* [Scrum и XP: заметки с передовой](http://scrum.org.ua/wp-content/uploads/2008/12/scrum_xp-from-the-trenches-rus-final.pdf) (PDF)
* [Занимательное программирование. Самоучитель](http://padabum.com/x.php?id=35055) - Мозговой М.В.
* [Эффективные алгоритмы и сложность вычислений](http://discopal.ispras.ru/Ru.book-advanced-algorithms.htm) - Н. Н. Кузюрин, С. А. Фомин


#### Работа с сетью

* [Разъяснение HTTP2](https://github.com/vlet/http2-explained/blob/master/http2.ru.pdf?raw=true) - Даниэль Штенберг (PDF)


#### Open Source Ecosystem

* [Архитектура приложений с открытым исходным кодом](http://rus-linux.net/MyLDP/BOOKS/Architecture-Open-Source-Applications/index.html)


#### Облачные вычисления

* [Разработка мультитенантных приложений для облака, издание 3-е](http://www.microsoft.com/ru-ru/download/details.aspx?id=29263)


#### Парадигмы программирования

* [Введение в функциональное программирование](http://funprog-ru.github.io) - John Harrison
* [Практика функционального программирования](http://fprog.ru) - журнал


### Assembly

* [Ассемблер в Linux для программистов C](https://ru.wikibooks.org/wiki/Ассемблер_в_Linux_для_программистов_C)
* [Ассемблер для чайников](http://av-assembler.ru/asm/afd/assembler-for-dummy.htm)
* [Микропроцессоры и вычислительные комплексы семейства "Эльбрус"](http://www.mcst.ru/doc/book_121130.pdf) (PDF)
* [Программирование на языке ассемблера NASM для ОС Unix](http://www.stolyarov.info/books/pdf/nasm_unix.pdf) (PDF)


### Bash

* [Advanced Bash-Scripting Guide](http://rus-linux.net/MyLDP/BOOKS/abs-guide/flat/abs-book.html)


### C

* [Особенности языка C. Учебное пособие](http://younglinux.info/sites/default/files/programmingC.pdf) (PDF)
* [Си/Си++. От дилетанта до профессионала](http://ermak.cs.nstu.ru/cprog/html/) - Романов Е.Л.
* [Язык Си в примерах](http://ru.wikibooks.org/wiki/Язык_Си_в_примерах)


### C++

* [Введение в язык программирования С++](http://lib.ru/CPPHB/cpptut.txt_with-big-pictures.html) - Бьерн Страуструп
* [Вводный курс по объектно-ориентированному программированию на языке Си++](http://ru.wikibooks.org/wiki/Си-плюс-плюс)
* [Справочное руководство по C++](http://lib.ru/CPPHB/cppref.txt_with-big-pictures.html) - Бьерн Страуструп


### Clojure

* [Введение в Clojure](http://alexott.net/ru/clojure/clojure-intro/)


### CoffeeScript

* [The Little Book on CoffeeScript](https://github.com/andrew--r/the-little-book-on-coffeescript) - перевод Андрея Романова
* [Документация CoffeeScript](http://cidocs.ru/coffeescript/)


### Java

* [Java Programming for Kids, Parents and Grandparents](http://myflex.org/books/java4kids/java4kids.htm) - Yakov Fain


### JavaScript

* [JavaScript Garden](http://bonsaiden.github.io/JavaScript-Garden/ru/) - Иво Ветцель
* [Выразительный JavaScript](https://github.com/karmazzin/eloquentjavascript_ru) - Marijn Haverbeke
* [Паттерны для масштабируемых JavaScript-приложений](http://largescalejs.ru) - Эдди Османи
* [Современный учебник JavaScript](http://learn.javascript.ru) - Илья Кантор


#### jQuery

* [jQuery для начинающих](http://anton.shevchuk.name/jquery-book/) - Антон Шевчук


#### Node.js

* [Node.js для начинающих](http://nodebeginner.ru)


### Git

* [Pro Git](http://git-scm.com/book/ru/v2)
* [Волшебство Git](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/ru/)
* [Простое руководство по работе с Git](http://rogerdudler.github.io/git-guide/index.ru.html)


### Go

* [Введение в программирование на Go](http://golang-book.ru) - Калеб Докси


### Erlang

* [Программирование на Эрланге](https://github.com/dyp2000/Russian-Armstrong-Erlang) - Джо Армстронг


### Haskell

* [Developing Web Applications with Haskell and Yesod](https://bitbucket.org/darkus/yesod/downloads) - Майкл Сноймен
* [О Haskell по-человечески](http://ohaskell.dshevchenko.biz/ru/index.html) - Денис Шевченко
* [Учебник по Haskell](http://anton-k.github.io/ru-haskell-book/book/home.html) - Антон Холомьёв


### LaTeX

* [LaTeX, GNU/Linux и русский стиль (сборник статей)](http://www.inp.nsk.su/~baldin/LaTeX/index.html)


### Lisp

* [Lisp In Small Pieces (translation)](https://github.com/ilammy/lisp)
* [Practical Common Lisp(translation)](http://lisper.ru/pcl/)


### MetaPost

* [Создание иллюстраций в MetaPost](http://www.inp.nsk.su/~baldin/mpost/index.html)


### Misc

* [Не мешайте мне работать!](http://motivateme.ru/book/) - Стас Давыдов


### NoSQL

* [Маленькая книга о MongoDB](http://jsman.ru/mongo-book/index.html)
* [Маленькая книга о Redis](https://github.com/kondratovich/the-little-redis-book/blob/master/ru/redis.md)


### Objective-C

* [Become an XCoder](https://yadi.sk/d/ugz7jW4RXLGTN)
* [Хрестоматия iOS паттернов](https://maleevdimka.files.wordpress.com/2013/04/ios-patterns-cliff-notes2.pdf) (PDF)
* [Цикл статей разработки под Apple iOS](http://habrahabr.ru/post/149090/)


### Perl

* [Pragmatic Perl](http://pragmaticperl.com) - журнал
* [Введение в Perl](http://www.opennet.ru/docs/RUS/perl-maslov/) - Маслов Владимир Викторович
* [Краткий экскурс в Perl-программирование](http://www.opennet.ru/docs/RUS/perl_help/) - Докучаев Дмитрий


### PHP

* [PHP: Правильный Путь](http://getjump.github.io/ru-php-the-right-way/)
* [Руководство по PHP](http://docs.php.net/manual/ru/)
* [Самоучитель (учебник) по PHP](http://www.php-s.ru/self-teacher/)


### Python

* [Problem Solving with Algorithms and Data Structures](https://aliev.github.io/runestone/)
* [Вглубь языка Python](http://ru.diveintopython.net/toc.html)
* [Укус Питона](http://wombat.org.ua/AByteOfPython/) - Swaroop C H
* [Учебник Python 2.6](http://ru.wikibooks.org/wiki/Учебник_Python_2.6)


### PostgreSQL

* [История о PostgreSQL](http://www.inp.nsk.su/~baldin/PostgreSQL/index.html)
* [Работа с PostgreSQL - настройка и масштабирование](http://postgresql.leopard.in.ua)


### R

* [Анализ данных с R](http://www.inp.nsk.su/~baldin/DataAnalysis/index.html)
* [Рандомизация и бутстреп: статистический анализ в биологии и экологии с использованием R.](http://www.ievbras.ru/ecostat/Kiril/Article/A32/Starb.pdf) (PDF)


### Reverse engineering

* [Введение в reverse engineering для начинающих](https://github.com/dennis714/RE-for-beginners)


### Ruby

* [Ruby](https://ru.wikibooks.org/wiki/Ruby) - Викиучебник
* [Ruby Book](https://github.com/Krugloff/rus_ruby_book) - Круглов А.
* [Ruby за двадцать минут](https://www.ruby-lang.org/ru/documentation/quickstart/)
* [Учись программировать](http://www.shokhirev.com/mikhail/ruby/ltp/title.html) - Крис Пайн


#### RSpec

* [Better Specs (RSpec Guidelines with Ruby)](http://betterspecs.org/ru)


#### Ruby on Rails

* [Ruby on Rails Tutorial. Изучение Rails на Примерах](http://railstutorial.ru/chapters/4_0/beginning) Майкл Хартл
* [Ruby on Rails по-русски](http://rusrails.ru)


### Rust

* [Язык программирования Rust](http://rurust.github.io/rust_book_ru/)


### Scala

* [Effective Scala](http://twitter.github.io/effectivescala/index-ru.html) - Marius Eriksen
* [Scala Школа!](http://twitter.github.io/scala_school/ru/) - Twitter


### Scilab

* [Введение в Scilab](http://forge.scilab.org/index.php/p/docintrotoscilab/downloads/)
* [Программирование в Scilab](http://forge.scilab.org/index.php/p/docprogscilab/downloads/)


### Smalltalk

* [Смолток: Язык и его реализация](https://sites.google.com/site/polyglotsqueak/) - Адэль Голдберг, Дэвид Робсон


### Unix

* [Beyond Linux From Scratch (version 2011-12-30)](http://rus-linux.net/nlib.php?name=/MyLDP/BOOKS/BLFS-ru/blfs-ru-index.html)
* [Linux From Scratch (version 6.8)](http://rus-linux.net/nlib.php?name=/MyLDP/BOOKS/LFS-BOOK-6.8-ru/lfs-6.8-ru-index.html)
* [Архитектура операционной системы Unix](http://lib.ru/BACH/)
* [Введение в системное администрирование UNIX](http://lib.ru/unixhelp/) - Мошков. М


### Vim

* [Поваренная Книга Vim](http://www.opennet.ru/docs/RUS/vim_cookbook/) - Steve Oualline
* [Просто о Vim](http://rus-linux.net/MyLDP/BOOKS/Vim/prosto-o-vim.pdf) (PDF)


### Parallel

* [Параллельные технологии](http://www.inp.nsk.su/~baldin/Parallel/index.html)
