### Index

* [Bash](#bash)
* [C](#c)
* [C#](#c-sharp)
* [C++](#c-1)
* [Clojure](#clojure)
* [CoffeeScript](#coffeescript)
* [Erlang](#erlang)
* [F#](#f-sharp)
* [Git](#git)
* [Go](#go)
* [Haskell](#haskell)
* [HTML / CSS](#html--css)
* [Java](#java)
* [Javascript](#javascript)
* [Language Agnostic](#language-agnostic)
* [Lisp](#lisp)
* [MATLAB](#matlab)
* [Node](#node)
* [NoSQL](#nosql)
* [Objective-C](#objective-c)
* [Ocaml](#ocaml)
* [PHP](#php)
* [Python](#python)
* [R](#r)
* [Ruby](#ruby)
* [Scala](#scala)
* [SQL](#sql)
* [Vim](#vim)


### Bash

* [Learn Shell Programming](http://www.learnshell.org)


### C

* [Learn C](http://www.learn-c.org)


### C Sharp

* [Learn C#](http://www.learncs.org)


### C++

* [CppKoans](https://github.com/torbjoernk/CppKoans)


### Clojure

* [4Clojure - Koans](https://www.4clojure.com)
* [Clojure Koans](http://clojurekoans.com)
* [ClojureScript Koans](http://clojurescriptkoans.com)
* [Try Clojure](http://www.tryclj.com)


### CoffeeScript

* [Coffeescript Style Guide](https://github.com/polarmobile/coffeescript-style-guide/blob/master/README.md)
* [Smooth CoffeeScript, Interactive Edition](http://autotelicum.github.io/Smooth-CoffeeScript/interactive/interactive-coffeescript.html)


### Erlang

* [Try Erlang](http://www.tryerlang.org)


### F Sharp

* [Try F#](http://www.tryfsharp.org)


### Git

* [Githug](https://github.com/Gazler/githug) (Tutorial in shell)
* [Learn Git Branching](http://pcottle.github.io/learnGitBranching/)
* [Try Git](http://try.github.io)


### Go

* [Go Koans](https://github.com/cdarwin/go-koans)
* [The Go Tutorial](http://tour.golang.org)


### Haskell

* [Try Haskell!](http://tryhaskell.org)


### HTML / CSS

* [CSS Diner](http://flukeout.github.io)
* [Flexbox Defense](http://flexboxdefense.com)
* [Flexbox Froggy](http://flexboxfroggy.com)
* [Learn by doing beginner projects](https://dash.generalassemb.ly)
* [Learn HTML & CSS interactively](https://www.codecademy.com/learn/web)
* [Prototyping a professional website](https://www.codecademy.com/skills/make-a-website)


### Java

* [CodingBat code practice](http://codingbat.com/java)
* [Java at Codecademy](https://www.codecademy.com/courses/learn-java)
* [Learn Java](http://www.learnjavaonline.org)
* [Learneroo Java tutorial](https://www.learneroo.com/modules/11)


### JavaScript

* [ABC of JavaScript : An Interactive JavaScript Tutorial](http://www.openjs.com/tutorials/basic_tutorial/)
* [Codecademy jquery track](https://www.codecademy.com/learn/jquery)
* [ES6 Interactive Guide](http://stack.formidable.com/es6-interactive-guide/#/)
* [Functional Programming in Javascript](https://github.com/ReactiveX/learnrx)
* [Javascript interactive tutorial on CodeCademy](https://www.codecademy.com/learn/javascript)
* [Javascript interactive tutorial on CoderMania](http://www.codermania.com/javascript/lesson/1a/hello-world)
* [Javascripting](https://github.com/sethvincent/javascripting)
* [Learn JavaScript](http://www.learn-js.org)
* [Learn knockout.js](http://learn.knockoutjs.com)
* [Learning Advanced JavaScript](http://ejohn.org/apps/learn/)
* [Try jQuery](http://try.jquery.com)


### Language Agnostic

* [CodeCombat](http://codecombat.com) - Python, JavaScript, CoffeeScript, Clojure, Lua, Io
* [Codility](https://codility.com/programmers/)
* [Python Tutor](http://pythontutor.com) - Python, Java, JavaScript, TypeScript, Ruby, C, C++


### Lisp

* [Lisp Koans](https://github.com/google/lisp-koans)


### MATLAB

* [Interactive Tutorials for MATLAB, Simulink, Signal Processing, Controls, and Computational Mathematics](http://www.mathworks.com/tutorials)


### Node

* [Node School](http://nodeschool.io)


### NoSQL

* [MongoDB Koans](https://github.com/chicagoruby/MongoDB_Koans)
* [Try Redis](http://try.redis.io)


### Objective-C

* [Try Objective-C](http://tryobjectivec.codeschool.com)


### Ocaml

* [Try Ocaml](http://try.ocamlpro.com)


### PHP

* [CodeCademy PHP](https://www.codecademy.com/learn/php)
* [Learn PHP](http://www.learn-php.org)


### Python

* [Codecademy Python course](https://www.codecademy.com/learn/python)
* [How to Think Like a Computer Scientist: Learning with Python, Interactive Edition](http://interactivepython.org/courselib/static/thinkcspy/index.html)
* [Learn Python](http://www.learnpython.org)
* [Python Koans](https://github.com/gregmalcolm/python_koans)


### R

* [Try R](http://tryr.codeschool.com)


### Ruby

* [CodeCademy Ruby](https://www.codecademy.com/learn/ruby)
* [Codeschool Ruby paths](https://www.codeschool.com/paths/ruby)
* [Ruby Koans](http://www.rubykoans.com)
* [RubyMonk - Interactive Ruby tutorials](https://rubymonk.com)
* [The Odin Project](http://www.theodinproject.com)
* [Try Ruby](http://tryruby.org)


### Scala

* [A Tour of Scala - an interactive scala tutorial](https://scalatutorials.com/tour/)
* [Scala Tour](http://www.scala-tour.com)


### SQL

* [SQL at Codecademy](https://www.codecademy.com/courses/learn-sql)
* [SQLBolt](http://sqlbolt.com)


### Vim

* [Interactive Vim Tutorial](http://www.openvim.com/tutorial.html)
